# Generated by Django 2.2.1 on 2019-07-19 18:21

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='GameLevel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('level_name', models.CharField(choices=[('Easy', 'ساده'), ('Medium', 'متوسط'), ('Hard', 'سخت'), ('Evil', 'شیطانی')], max_length=20)),
                ('score_to_add', models.IntegerField(default=0)),
                ('word_count', models.IntegerField(default=10)),
            ],
        ),
        migrations.CreateModel(
            name='Word',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('word_text', models.CharField(max_length=40)),
                ('hint', models.CharField(max_length=100)),
                ('game_level', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='game.GameLevel')),
            ],
        ),
        migrations.CreateModel(
            name='PlayedMatch',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('score', models.IntegerField(default=0)),
                ('game', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='game.GameLevel')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
